package nsdb;

/** stream-based skeleton class */

import org.omg.PortableServer.POA;
public class EmblWriterPOATie
	extends EmblWriterPOA
{
	private EmblWriterOperations _delegate;

	private POA _poa;
	public EmblWriterPOATie(EmblWriterOperations delegate)
	{
		_delegate = delegate;
	}
	public EmblWriterPOATie(EmblWriterOperations delegate, POA poa)
	{
		_delegate = delegate;
		_poa = poa;
	}
	public nsdb.EmblWriter _this()
	{
		return nsdb.EmblWriterHelper.narrow(_this_object());
	}
	public nsdb.EmblWriter _this(org.omg.CORBA.ORB orb)
	{
		return nsdb.EmblWriterHelper.narrow(_this_object(orb));
	}
	public EmblWriterOperations _delegate()
	{
		return _delegate;
	}
	public void _delegate(EmblWriterOperations delegate)
	{
		_delegate = delegate;
	}
	public nsdb.ServerInfo getServerInfo()
	{
		return _delegate.getServerInfo();
	}

	public nsdb.EmblSeq getEmblSeq(java.lang.String bio_seq_id) throws type.NoResult,nsdb.EmblPackage.Superceded
	{
		return _delegate.getEmblSeq(bio_seq_id);
	}

	public nsdb.EmblSeqWriter getEmblSeqWriter(java.lang.String sequence_id) throws type.NoResult
	{
		return _delegate.getEmblSeqWriter(sequence_id);
	}

}
